@charset "UTF-8";
/* service similar CSS */
.sec-similar-table {
    container-type: inline-size;
    container-name: similar-table;
}
.sec-similar-flow {
    container-type: inline-size;
    container-name: similar-flow;
}

/* アイコン */
.i-similar-post{
    background-image: url(../../img/service/icon-similar-post.svg);
}
.i-similar-photo{
    background-image: url(../../img/service/icon-similar-photo.svg);
}

/* 注文方法 - テーブル */
.table-order{
    margin-top: 50px;
    border-collapse: separate;
    border-spacing: 4px;
    background-color: var(--bg-page);
    border-radius: 8px 8px 0 8px;
}
.table-order .head-post,
.table-order .head-photo{
    position: relative;
    padding: 35px 0 10px;
    border-radius: 5px 5px 0 0;
}
.table-order .head-post{
    background-color: #ffe6c1;
}
.table-order .head-photo{
    background-color: #cce8f6;
}

.table-order .head-post .icon,
.table-order .head-photo .icon{
    width: 80px;
    height: 60px;
    position: absolute;
    bottom: calc(100% - 30px);
}

.table-order tbody th {
    font-size: 85%;
    white-space: nowrap;
    line-height: 1.2;
    padding: 10px;
    color: #444;
    background-color: #ddd;
    border-radius: 5px 0 0 5px;
    word-break: break-all;
}
.table-order tbody th .pc-break{
    display: block;
}
.table-order tbody td {
    padding: 10px 20px;
    background-color: #fff;
    font-weight: 500;
    border-bottom: 1px solid var(--color-border);
    border-right: 1px solid var(--color-border);
}
.table-order tbody td .td-inner{
    display: block;
    width: fit-content;
    margin: 0 auto;
}

/* 注文方法 - 注意事項 */
.order-note{
    background-color: rgb(235 77 24 / 0.1);
    padding: 20px 25px;
    border-radius: 5px;
}
.order-note dt{
    padding-bottom: 10px;
}
.order-note dd{
    padding-left: 1em;
    padding-bottom: 10px;
    position: relative;
}
.order-note dd:last-child{
    padding-bottom: 0;
}
.order-note dd::before{
    content: "";
    display: block;
    width: 5px;
    height: 5px;
    border-radius: 3px;
    background-color: var(--color-sub);
    position: absolute;
    top: 0.8em;
    left: 0.2em;
    transform: translateY(-50%);
}

/* 注文の流れ */
[role="tabpanel"][hidden] {
    display: none;
}
.order-flow{
    margin-top: 60px;
}
.order-flow .tab-list{
    display: flex;
    gap: 8px;
}
.order-flow .tab-post,
.order-flow .tab-photo {
    width: calc(50% - 4px);
    background-color: #ddd;
    padding: 35px 0 10px;
    border-radius: 10px 10px 0 0;
    position: relative;
    margin-bottom: 2px;
}
.order-flow .tab-post .icon,
.order-flow .tab-photo .icon{
    width: 88px;
    height: 66px;
    position: absolute;
    bottom: calc(100% - 30px);
}

.tab-post[role="tab"][aria-selected="true"] {
    background-color: #ff8c00;
    margin-bottom: 0;
}
.tab-photo[role="tab"][aria-selected="true"] {
    background-color: #008bd3;
    color: #fff;
    margin-bottom: 0;
}

.order-flow .panel-post{
    background-color: #fff0d9;
    padding: 40px 30px;
    border-top: 3px solid #ff8c00;
}
.order-flow .panel-photo {
    background-color: #e6f4fb;
    padding: 40px 30px;
    border-top: 3px solid #008bd3;
}

.step-item {
    gap: 40px;
    align-items: center;
    background-color: var(--bg-card);
    padding: 25px;
    border-radius: 25px;
    position: relative;
    margin-bottom: 60px;
}
.step-item::after{
    content: "";
    display: block;
    background-color: #ffb65e;
    width: 50px;
    height: 25px;
    clip-path: polygon(0 0, 100% 0%, 50% 100%);
    position: absolute;
    left: 50%;
    bottom: -45px;
    transform: translateX(-50%);
}
.step-item:last-child{
    margin-bottom: 0;
}
.step-item:last-child:after{
    display: none;
}

.step-num{
    flex-direction: column;
    align-items: center;
    gap: 10px;
    padding: 0 10px;
}
.step-num .num-area{
    text-align: center;
}
.step-num .num-area .num-unit{
    display: block;
    font-size: 14px;
    line-height: 1.2;
}
.step-num .num-area .num{
    display: block;
    font-size: 36px;
    line-height: 1;
}
.step-num .step-icon{
    width: 50px;
    height: 50px;
}
.step-cont{
    flex: 1;
    padding: 5px 0;
    position: relative;
}
.step-cont:before {
    content: "";
    display: block;
    width: 1px;
    height: 100%;
    background-color: var(--color-border);
    position: absolute;
    top: 0;
    left: -20px;
}
.step-cont .cont-txt {
    word-break: auto-phrase;
}

.step-cont .btn-dl{
    color: var(--text-white);
    background-color: var(--color-sub2);
    border-radius: 30px;
    max-width: 280px;
    margin-top: 15px;
}
.step-cont .btn-dl>a{
    display: flex;
    gap: 5px;
    align-items: center;
    justify-content: center;
    padding: 10px 20px;
    text-align: center;
}
.step-cont .btn-dl>a::after{
    content: url(../../img/service/icon-similar-dl.svg);
    display: inline-block;
    width: 1.3em;
    height: 1.3em;
}

.step-cont .address{
    padding: 15px 25px;
    margin-top: 15px;
    border-radius: 10px;
    background-color: #efefef;
    width: fit-content;
}
.step-cont .schedule {
    display: inline-block;
    color: #eb4d18;
    background-color: #ffe6c1;
    padding: 5px 15px 8px;
    border-radius: 50px;
    margin-bottom: 7px;
}
.step-cont .ttl-tri{
    padding: 0 5px;
}
.step-cont .img-area {
    max-width: 420px;
    border: 1px solid var(--color-border);
    border-radius: 10px;
    overflow: hidden;
}

/* パネルのカラー変更用 */
.panel-photo .step-item::after {
    background-color: #83caee;
}
.panel-photo .step-cont .schedule {
    color: #0a6fd6;
    background-color: #cce8f6;
}
.panel-photo .btn-contact {
    background-color: #008bd3;
    box-shadow: 0 3px 0 #125e86;
}

@media (min-width:768px){
    .btn-dl{
        transition: all 0.3s ease;
    }
    .btn-dl:hover{
        opacity: 0.6;
    }

    .panel-photo .btn-contact:hover {
        box-shadow: 0 0 0 #125e86;
    }
}

@container similar-table (max-width: 550px) {
    .table-order tbody th {
        writing-mode: tb;
    }
    .table-order tbody td {
        padding: 10px;
    }
    .table-order tbody th .pc-break {
        display: inline;
    }
}

@container similar-table (max-width: 400px) {
    .table-order {
        border-spacing: 1px;
    }
    .table-order tbody th {
        padding: 5px;
        border-radius: 0;
    }
    .table-order .head-post, 
    .table-order .head-photo {
        border-radius: 0;
    }
    .table-order .head-post .icon, 
    .table-order .head-photo .icon {
        width: 64px;
        height: 48px;
    }
    .order-note {
        padding: 15px 20px;
    }
}


@container similar-flow (max-width: 700px) {
    .order-flow .panel-post {
        padding: 30px 20px;
    }
    .step-item {
        padding: 20px;
    }
}

@container similar-flow (max-width: 540px) {
    .step-item {
        gap: 0;
    }
    .step-num .step-icon {
        width: 40px;
        height: 40px;
        margin-left: 5px;
    }
    .step-num{
        flex-direction: row;
        gap: 0;
        justify-content: center;
        width: 100%;
        background-color: var(--bg-card);
    }
    .num-area{
        display: flex;
        flex-wrap: nowrap;
        align-items: center;
    }
    .step-num .num-area .num-unit,
    .step-num .num-area .num {
        display: inline-block;
    }
    .step-num .num-area .num-unit{
        padding: 5px 2px 0 0;
    }
    
    .step-cont {
        padding: 25px 0 0;
    }
    .step-cont:before {
        width: 100%;
        height: 1px;
        top: 10px;
        left: 50%;
        transform: translateX(-50%);
    }
    .step-cont .schedule {
        display: block;
    }
    .step-cont>*{
        width: fit-content;
        margin: 0 auto;
    }

    .btn-dl{
        width: 100%;
    }
}

@container similar-flow (max-width: 420px) {
    .order-flow {
        margin-top: 35px;
    }
    .order-flow .panel-post,
    .order-flow .panel-photo {
        padding: 20px 10px;
    }
    .order-flow .tab-post, 
    .order-flow .tab-photo {
        padding: 25px 0 5px;
    }
    .order-flow .tab-post .icon, 
    .order-flow .tab-photo .icon {
        width: 72px;
        height: 54px;
    }

    .step-item {
        padding: 15px;
    }
    .step-item::after {
        width: 30px;
        height: 15px;
        bottom: -25px;
    }
    .step-cont .address {
        padding: 10px 15px;
    }
    .step-cont .address .sp-break{
        display: block;
    }
    .contact-area>* {
        margin: 10px auto 0;
    }
}